Subject: Re: IPv6 default routes timing out?

From: John Dykstra <[email-masked]>
Date: Thu, 30 Jul 2009 20:09:15 +0000

On Thu, 2009-07-30 at 11:34 -0700, Roland Dreier wrote:
> Well, I see router advertisements (and pings to ff02::1) from the router
> on both of the two laptops I have handy, and then after a while the
> openbsd system seems to stop broadcasting -- I no longer see the
> broadcast ipv6 packets on either laptop, but if I just do "ifconfig ral0
> down; ifconfig ral0 up" on the openbsd system then everything seems to
> come back.

Note that these are actually multicasts, not broadcasts.  There's not
much difference on the sending end, but on the receiving end there's
usually filtering at the NIC level that doesn't apply to broadcasts.

That's why I'm a little bit suspicious of the laptop end of your
connection.  It's not uncommon for multicast to be broken in various
ways without people noticing, because they don't use it very much on
IPv4.  However, it's fundamental to IPv6.

  --  John